Installer - Feature #14920

Change dhcpd.conf to support EFl loaders

05/04/2016 04:46 AM - Lukas Zapletal

Status: Closed

Priority: Normal
Assignee:

Category: Foreman modules

Target version:

1.14.0

Difficulty: Fixed in Releases:
Triaged: Found in Releases:
Bugzilla link: 1378097 Red Hat JIRA:

Pull request:

Description

Default DHCPD configuration must be changed in order to allow booting unknown UEFI hosts to something like:

option arch code 93 = unsigned integer 16; # RFC4578

class "pxeclients" {
match if substring (option vendor-class-identifier, 0, 9) = "PXEClient";
next-server 10.0.0.1;
if option arch = 00:06 {
filename "grub2/bootia32.efi";
} else if option arch = 00:07 {
filename "grub2/bootx64.efi";
} else if option arch = 00:09 ({
filename "grub2/bootx64.efi";
} else {
filename "pxelinux.0";

}

Related issues:
Related to Installer - Feature #12635: Options to deploy Grub and PXELinux EF... Closed

Related to Foreman - Tracker #431: [TRACKER] UEFI PXE support Resolved

11/30/2015

Associated revisions

Revision 6d014077 - 09/20/2016 04:11 PM - Manfred Pusch

Fixes #14920 - support for bootfile per client architecture

closes GH-82

History

#1 - 05/04/2016 04:46 AM - Lukas Zapletal
- Related to Feature #12635: Options to deploy Grub and PXELinux EFI loaders in TFTP root added

#2 - 05/04/2016 04:46 AM - Lukas Zapletal
- Related to Tracker #431: [TRACKER] UEFI PXE support added

#3 - 05/04/2016 04:48 AM - Lukas Zapletal
Using shim.efi is perhaps better default than loading Grub directly.

#4 - 09/12/2016 03:29 AM - Lukas Zapletal

- Description updated

Adding iPXE user class to support direct iPXE VM booting.
#5 - 09/12/2016 03:31 AM - Lukas Zapletal

- Description updated

Converted to spaces (from tabs).

#6 - 09/12/2016 07:55 AM - Lukas Zapletal

- Description updated

Added missing 0x09 statement.

#7 - 09/12/2016 08:03 AM - Lukas Zapletal

- Description updated

Removed the iPXE stuff, this belongs in separate ticket really.

#8 - 09/20/2016 05:02 PM - Anonymous
- Status changed from New to Closed

- % Done changed from 0 to 100

Applied in changeset puppet-dhcp|6d0140778b68808b31c1c4a186f3e9b034163494.

#9 - 09/21/2016 04:20 AM - Dominic Cleal

- translation missing: en.field_release set to 189

#10 - 10/13/2016 11:16 AM - Stephen Benjamin
- Bugzilla link set to 1378097
